#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-soc-acpi-intel-match,snd-pcm,snd-sof,soundwire-intel,snd-sof-intel-hda,snd-intel-dspcfg,snd-hda-ext-core,snd-hda-core,snd-soc-core,snd-soc-acpi,snd-soc-hdac-hda,snd-sof-xtensa-dsp";


MODULE_INFO(srcversion, "C63057F3133834411B57D0E");
